# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.16

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/zang/east/upsSmartView

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/zang/east/build-upsSmartView-cmake-Release

# Include any dependencies generated for this target.
include lib/cJSON/CMakeFiles/cJSON.dir/depend.make

# Include the progress variables for this target.
include lib/cJSON/CMakeFiles/cJSON.dir/progress.make

# Include the compile flags for this target's objects.
include lib/cJSON/CMakeFiles/cJSON.dir/flags.make

lib/cJSON/CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.o: lib/cJSON/CMakeFiles/cJSON.dir/flags.make
lib/cJSON/CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.o: lib/cJSON/cJSON_autogen/mocs_compilation.cpp
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/zang/east/build-upsSmartView-cmake-Release/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object lib/cJSON/CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.o"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && /usr/bin/g++  $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -o CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.o -c /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON/cJSON_autogen/mocs_compilation.cpp

lib/cJSON/CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.i"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && /usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON/cJSON_autogen/mocs_compilation.cpp > CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.i

lib/cJSON/CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.s"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && /usr/bin/g++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON/cJSON_autogen/mocs_compilation.cpp -o CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.s

lib/cJSON/CMakeFiles/cJSON.dir/cJSON.c.o: lib/cJSON/CMakeFiles/cJSON.dir/flags.make
lib/cJSON/CMakeFiles/cJSON.dir/cJSON.c.o: /home/zang/east/upsSmartView/lib/cJSON/cJSON.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/zang/east/build-upsSmartView-cmake-Release/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building C object lib/cJSON/CMakeFiles/cJSON.dir/cJSON.c.o"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && /usr/bin/gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/cJSON.dir/cJSON.c.o   -c /home/zang/east/upsSmartView/lib/cJSON/cJSON.c

lib/cJSON/CMakeFiles/cJSON.dir/cJSON.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/cJSON.dir/cJSON.c.i"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && /usr/bin/gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/zang/east/upsSmartView/lib/cJSON/cJSON.c > CMakeFiles/cJSON.dir/cJSON.c.i

lib/cJSON/CMakeFiles/cJSON.dir/cJSON.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/cJSON.dir/cJSON.c.s"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && /usr/bin/gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/zang/east/upsSmartView/lib/cJSON/cJSON.c -o CMakeFiles/cJSON.dir/cJSON.c.s

lib/cJSON/CMakeFiles/cJSON.dir/cJSON_ext.c.o: lib/cJSON/CMakeFiles/cJSON.dir/flags.make
lib/cJSON/CMakeFiles/cJSON.dir/cJSON_ext.c.o: /home/zang/east/upsSmartView/lib/cJSON/cJSON_ext.c
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --progress-dir=/home/zang/east/build-upsSmartView-cmake-Release/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building C object lib/cJSON/CMakeFiles/cJSON.dir/cJSON_ext.c.o"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && /usr/bin/gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -o CMakeFiles/cJSON.dir/cJSON_ext.c.o   -c /home/zang/east/upsSmartView/lib/cJSON/cJSON_ext.c

lib/cJSON/CMakeFiles/cJSON.dir/cJSON_ext.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/cJSON.dir/cJSON_ext.c.i"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && /usr/bin/gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -E /home/zang/east/upsSmartView/lib/cJSON/cJSON_ext.c > CMakeFiles/cJSON.dir/cJSON_ext.c.i

lib/cJSON/CMakeFiles/cJSON.dir/cJSON_ext.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/cJSON.dir/cJSON_ext.c.s"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && /usr/bin/gcc $(C_DEFINES) $(C_INCLUDES) $(C_FLAGS) -S /home/zang/east/upsSmartView/lib/cJSON/cJSON_ext.c -o CMakeFiles/cJSON.dir/cJSON_ext.c.s

# Object files for target cJSON
cJSON_OBJECTS = \
"CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.o" \
"CMakeFiles/cJSON.dir/cJSON.c.o" \
"CMakeFiles/cJSON.dir/cJSON_ext.c.o"

# External object files for target cJSON
cJSON_EXTERNAL_OBJECTS =

lib/libcJSON.a: lib/cJSON/CMakeFiles/cJSON.dir/cJSON_autogen/mocs_compilation.cpp.o
lib/libcJSON.a: lib/cJSON/CMakeFiles/cJSON.dir/cJSON.c.o
lib/libcJSON.a: lib/cJSON/CMakeFiles/cJSON.dir/cJSON_ext.c.o
lib/libcJSON.a: lib/cJSON/CMakeFiles/cJSON.dir/build.make
lib/libcJSON.a: lib/cJSON/CMakeFiles/cJSON.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green --bold --progress-dir=/home/zang/east/build-upsSmartView-cmake-Release/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Linking CXX static library ../libcJSON.a"
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && $(CMAKE_COMMAND) -P CMakeFiles/cJSON.dir/cmake_clean_target.cmake
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/cJSON.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
lib/cJSON/CMakeFiles/cJSON.dir/build: lib/libcJSON.a

.PHONY : lib/cJSON/CMakeFiles/cJSON.dir/build

lib/cJSON/CMakeFiles/cJSON.dir/clean:
	cd /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON && $(CMAKE_COMMAND) -P CMakeFiles/cJSON.dir/cmake_clean.cmake
.PHONY : lib/cJSON/CMakeFiles/cJSON.dir/clean

lib/cJSON/CMakeFiles/cJSON.dir/depend:
	cd /home/zang/east/build-upsSmartView-cmake-Release && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/zang/east/upsSmartView /home/zang/east/upsSmartView/lib/cJSON /home/zang/east/build-upsSmartView-cmake-Release /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON /home/zang/east/build-upsSmartView-cmake-Release/lib/cJSON/CMakeFiles/cJSON.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : lib/cJSON/CMakeFiles/cJSON.dir/depend

